#!/usr/bin/env ruby
require "fileutils"

# change dir to home folder: https://ruby-doc.org/core-2.7.1/Dir.html
# to find the path to your folder can type: pwd
Dir.chdir("/data")

# Make sure the output folder exists
FileUtils.mkdir_p "./dasy_sams/"

# get an array of gz files
gzfiles = Dir.glob(File.join("**", "dasy_dplexd", "*.gz"))

# run through the files and execute commands
gzfiles.each do |gz_file_path|
  # gsub is a find and replace
  output_filename = gz_file_path.gsub("dasy_dplexd", "dasy_sams").gsub(".fq.gz", ".sam")
  %x[bwa mem -t 6 dasy_ref/Dasyurus_hallucatus_10X_01_style3pseudohap.fasta #{gz_file_path} > #{output_filename}]
end
